Skip to main content
`Ctrl`+`K`

# DMNetworkDistribute

Distributes the network and moves associated component data

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkDistribute(DM *dm, PetscInt overlap)

Collective

## Input Parameters

- dm - the `DMNETWORK` object

- overlap - the overlap of partitions, 0 is the default

## Options Database Keys

- -dmnetwork_view - Calls `DMView()` at the conclusion of `DMSetUp()`

- -dmnetwork_view_distributed - Calls `DMView()` at the conclusion of `DMNetworkDistribute()`

- -dmnetwork_view_tmpdir - Sets the temporary directory to use when viewing with the `draw` option

- -dmnetwork_view_all_ranks - Displays all of the subnetworks for each MPI rank

- -dmnetwork_view_rank_range - Displays the subnetworks for the ranks in a comma-separated list

- -dmnetwork_view_no_vertices - Disables displaying the vertices in the network visualization

- -dmnetwork_view_no_numbering - Disables displaying the numbering of edges and vertices in the network visualization

## Note

Distributes the network with <overlap>-overlapping partitioning of the edges.

## See Also

`DM`, `DMNETWORK`, `DMNetworkCreate()`

## Level

intermediate

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages